{
  "name": "centurion",
  "version": "1.0.0",
  "description": "Centurion: Honderd minuten... Honderd shots... Kan jij het aan?",
  "engines": {
    "node": ">=16",
    "npm": ">=7"
  },
  "workspaces": [
    "frontend",
    "backend"
  ],
  "scripts": {
    "fmt": "prettier -w '**/*.{ts,tsx}'",
    "check-fmt": "prettier --check '**/*.{ts,tsx}'",
    "prepare": "husky install"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:studieverenigingvia/ict/centurion.git"
  },
  "author": "Vereniging Informatiewetenschappen Amsterdam (V.I.A.)",
  "license": "MIT",
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^5.6.0",
    "@typescript-eslint/parser": "^5.6.0",
    "eslint": "^8.4.1",
    "eslint-config-react-app": "^6.0.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-react": "^7.27.1",
    "eslint-plugin-react-hooks": "^4.3.0",
    "husky": "^7.0.4",
    "lint-staged": "^12.1.2",
    "prettier": "^2.5.1",
    "typescript": "^4.5.2"
  },
  "lint-staged": {
    "backend/**/*.{ts,tsx}": "eslint --fix",
    "frontend/**/*.{ts,tsx}": "eslint --fix", 
    "*.{ts,tsx}": [
      "prettier -w"
    ]
  }
}
